Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class TibcoBaseView

    java.lang.Object
      com.tibco.bpm.web.client.model.types.TibcoBaseView

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

Direct Known Subclasses:
  TibcoBaseView2

    public class TibcoBaseView

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`TibcoBaseView()`
`TibcoBaseView(long workListViewID, java.lang.String orderString, java.lang.String filterString, java.lang.String name, java.lang.String description, boolean publicView, OrgModelEntity orgEntity, java.util.ArrayList<OrgModelEntity> users, java.util.ArrayList<OrgModelEntity> authors, java.lang.String customData, java.util.Date creationDate, java.util.Date modificationDate)`

Method Summary
`java.util.ArrayList<OrgModelEntity>` | `getAuthors()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getCustomData()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getFilterString()`
`java.util.Date` | `getModificationDate()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOrderString()`
`OrgModelEntity` | `getOrgEntity()`
`java.lang.String` | `getOwner()`
`java.util.ArrayList<OrgModelEntity>` | `getUsers()`
`long` | `getWorkListViewID()`
`boolean` | `isPublicView()`
`void` | `setAuthors(java.util.ArrayList<OrgModelEntity> authors)`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setCustomData(java.lang.String customData)`
`void` | `setDescription(java.lang.String description)`
`void` | `setFilterString(java.lang.String filterString)`
`void` | `setModificationDate(java.util.Date modificationDate)`
`void` | `setName(java.lang.String name)`
`void` | `setOrderString(java.lang.String orderString)`
`void` | `setOrgEntity(OrgModelEntity orgEntity)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setPublicView(boolean publicView)`
`void` | `setUsers(java.util.ArrayList<OrgModelEntity> users)`
`void` | `setWorkListViewID(long workListViewID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TibcoBaseView

    public TibcoBaseView(long workListViewID,
                         java.lang.String orderString,
                         java.lang.String filterString,
                         java.lang.String name,
                         java.lang.String description,
                         boolean publicView,
                         OrgModelEntity orgEntity,
                         java.util.ArrayList<OrgModelEntity> users,
                         java.util.ArrayList<OrgModelEntity> authors,
                         java.lang.String customData,
                         java.util.Date creationDate,
                         java.util.Date modificationDate)

### TibcoBaseView

    public TibcoBaseView()

Method Detail

### isPublicView

    public boolean isPublicView()

### setPublicView

    public void setPublicView(boolean publicView)

### getCreationDate

    public java.util.Date getCreationDate()

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

### getModificationDate

    public java.util.Date getModificationDate()

### setModificationDate

    public void setModificationDate(java.util.Date modificationDate)

### getFilterString

    public java.lang.String getFilterString()

### setFilterString

    public void setFilterString(java.lang.String filterString)

### getOwner

    public java.lang.String getOwner()

### setOwner

    public void setOwner(java.lang.String owner)

### getOrderString

    public java.lang.String getOrderString()

### setOrderString

    public void setOrderString(java.lang.String orderString)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getOrgEntity

    public OrgModelEntity getOrgEntity()

### setOrgEntity

    public void setOrgEntity(OrgModelEntity orgEntity)

### getUsers

    public java.util.ArrayList<OrgModelEntity> getUsers()

### setUsers

    public void setUsers(java.util.ArrayList<OrgModelEntity> users)

### getAuthors

    public java.util.ArrayList<OrgModelEntity> getAuthors()

### setAuthors

    public void setAuthors(java.util.ArrayList<OrgModelEntity> authors)

### getCustomData

    public java.lang.String getCustomData()

### setCustomData

    public void setCustomData(java.lang.String customData)

### getWorkListViewID

    public long getWorkListViewID()

### setWorkListViewID

    public void setWorkListViewID(long workListViewID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.